{ config, pkgs, ... }:
{
  imports = [ ./homebrew.nix ./yabai-skhd.nix ];
  # List packages installed in system profile. To search by name, run:
  # $ nix-env -qaP | grep wget
  environment.systemPackages = [
    pkgs.vim
  ];

  # Auto upgrade nix package and the daemon service.
  services = {
    nix-daemon.enable = true;
    karabiner-elements.enable = true;
    sketchybar = {
      enable = true;
    };
  };
  nix = {
    package = pkgs.nix;
    settings.experimental-features = "nix-command flakes";
  };

  # Enable alternative shell support in nix-darwin.
  programs.fish.enable = true;

  # Used for backwards compatibility, please read the changelog before changing.
  # $ darwin-rebuild changelog
  system = {
    stateVersion = 5;
    defaults = {
      dock = {
        autohide = true;
        orientation = "bottom";
      };
    };
  };
}
